claw::tween::tweener_group Class Reference

The tweener group manages several tweeners and remove them when they are over. More...

`#include <tweener_group.hpp>`

Inheritance diagram for claw::tween::tweener_group:

## Public Member Functions

void | insert (const tweener &t)
| Add a tweener in the group.
void | clear ()
| Remove all the tweeners from the group.
bool | empty () const
| Tells if there is nothing in this group.
Public Member Functions inherited from claw::tween::base_tweener
virtual | ~base_tweener ()
| Destructor.
base_tweener * | clone () const
| Create a copy of this allocated with new.
bool | is_finished () const
| Tell if the tweener has reached his total duration.
double | update (double dt)
| Update the base_tweener of a given amount of time.
void | on_finished (finish_callback f)
| Execute the callbacks notifying about the finish of the tweener.

## Additional Inherited Members

Public Types inherited from claw::tween::base_tweener
typedef boost::function< void()> | finish_callback
| The type of the function called to notify the end of the tweener.

## Detailed Description

The tweener group manages several tweeners and remove them when they are over.

Author
  Julien Jorge

See also
  tweeners

Definition at line 48 of file tweener_group.hpp.

## Member Function Documentation

## clear()

void claw::tween::tweener_group::clear | ( |  | ) |

Remove all the tweeners from the group.

Definition at line 45 of file tweener_group.cpp.

## empty()

bool claw::tween::tweener_group::empty | ( |  | ) | const

Tells if there is nothing in this group.

Definition at line 102 of file tweener_group.cpp.

## insert()

void claw::tween::tweener_group::insert | ( | const tweener & | t | ) |

Add a tweener in the group.

Parameters

  t | The tweener.

Definition at line 36 of file tweener_group.cpp.

The documentation for this class was generated from the following files:

- tween/tweener_group.hpp
- code/tween/tweener_group.cpp